body {
    font-family: "Plus Jakarta Sans", sans-serif;
}

header {
    background-color: #F4F4F4;
    padding: 50px 0;
    font-family: "Plus Jakarta Sans", sans-serif;
}

.header-text-container {
    display: flex;
    justify-content: center;
    align-items: center;
}

p{
    font-family: "Plus Jakarta Sans", sans-serif;
}

h1{
    font-family: "Plus Jakarta Sans", sans-serif;
}

nav{
    font-family: "Plus Jakarta Sans", sans-serif;
}

.inner-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    max-width: 1200px;
    margin: auto;
}

.header-text {
    flex: 0 0 40%;
    max-width: 40%;
    text-align: left;
    padding-top: 30px;
    /* Alignement avec la navigation */
    margin-left: -45px;
    /* Déplace le texte à gauche */
    font-family: "Plus Jakarta Sans", sans-serif;
}

.header-text h1 {
    font-size: 3.5rem;
    font-weight: bold;
    color: #333;
    font-family: "Plus Jakarta Sans", sans-serif;
}

.subtitle {
    margin-top: 20px;
    font-size: 1.45rem;
    font-weight: normal;
    color: #5A5A5A;
    font-family: "Plus Jakarta Sans", sans-serif;
}

.cta-buttons a {
    display: inline-block;
    margin-right: 10px;
    margin-top: 30px;
    margin-bottom: 30px;
    padding: 7px 30px;
    background-color: #001AD3;
    color: white;
    text-align: center;
    text-decoration: none;
    font-size: 20px;
    border-radius: 0px !important;
    font-family: "Plus Jakarta Sans", sans-serif;
}

button.envoyer-boutton {
    border-radius: 0px !important;
}

.image-container {
    flex: 0 0 50%;
    max-width: 50%;
    position: relative;
    /* Nécessaire pour le positionnement absolu de l'image des boutons bascule */
    text-align: right;
    margin-right: -120px;
    /* Déplace l'image à droite */
}

.image-container img {
    max-width: 100%;
    height: auto;
}

.toggle-switches {
    position: absolute;
    top: 7%;
    left: -27%;
    width: 290px;
    height: 280px;
    background: white;
    padding: 10px;

    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
    z-index: 10;
}

.toggle-switch-container {
    display: flex;
    flex-direction: column;
    gap: 10px;
    margin-top: 5px;
    margin-left: 5px;
    margin-right: 5px;
}

.toggle-text {
    padding-left: 10px;
    font-family: "Plus Jakarta Sans", sans-serif;
}


/* Toggle switch styles */
.switch {
    position: relative;
    display: flex;
    /* Alignement en ligne pour inclure le texte */
    align-items: center;
    width: 100%;
    height: 55px;
    justify-content: space-between;
    background-color: #F4F4F4;


}

.switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

.slider {
    position: relative;
    width: 50px;
    height: 25px;
    background-color: #ccc;
    transition: .4s;

    margin-right: 10px;

}

.slider:before {
    position: absolute;
    content: "";
    height: 21px;
    width: 21px;
    left: 2px;
    bottom: 2px;
    background-color: white;
    transition: .4s;

}

input:checked + .slider {
    background-color: #001AD3;
}

input:checked + .slider:before {
    transform: translateX(25px);
}

/* Additional styles for rounded toggle switch */
.slider.round {}

.slider.round:before {}

.toggle-text {
    font-weight: bold;
}



.info-section {
    padding: 60px 0;
}

.info-text {
    margin: 0 20px;
    width: 100%;
    max-width: 90% !important;
}

.info-text h2 {
    font-size: 2.5rem;
    font-family: "Plus Jakarta Sans", sans-serif;
}

.section-title {
    font-size: 24px;
    margin-bottom: 20px;
    font-family: "Plus Jakarta Sans", sans-serif;
}

.green {
    color: #001AD3;
}

.img-fluid {
    max-width: 100%;
    height: auto;

}

.step-section {
    padding: 60px 0;
    background-color: #F4F4F4;
}

.step-text {
    margin: 0 20px;
    width: 100%;
    max-width: 90% !important;

}

.step-text h2 {
    font-size: 1.5rem;
    font-family: "Plus Jakarta Sans", sans-serif;
}

.my-5 {
    margin-top: 100rem !important;
    margin-bottom: 100rem !important;
}

.row.align-items-center.my-5 {
    margin-top: 10rem !important;
    margin-bottom: 10rem !important;
}

.image-stack {
    position: relative;
    width: 100%;
    max-width: 600px;
    /* Ajustez en fonction de la taille souhaitée */
    margin: auto;
}

.desktop-image {
    width: 100%;
    height: auto;
}

.mobile-image {
    position: absolute;
    top: 20%;
    /* Ajustez la valeur en fonction de la position souhaitée */
    left: 75%;
    transform: translateX(-50%);
    width: 40%;
    /* Ajustez la taille de l'image mobile */
    height: auto;
    box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.2);
    /* Ajoute une ombre pour mieux distinguer les images */

}



/* Centrer le formulaire et ajouter des ombres */
.form-container {
    background-color: #ffffff;
    padding: 110px;

    box-shadow: 0px 4px 16px rgba(0, 0, 0, 0.1);
    max-width: 800px;
    margin: auto;
}

input.inscription-input {
    background-color: #f8f9fa;
    border: 1px solid #ced4da;

    height: 45px;
    padding: 10px;
    font-size: 16px;

}



button.envoyer-boutton {
    background-color: #001AD3;
    color: white;
    padding: 10px 20px;
    border: none;

    font-size: 18px;
    transition: background-color 0.3s;
    margin-left: 0.8rem !important;
    margin-top: 18px !important;
    width: 150px;
    font-weight: bold;
}

button.envoyer-boutton:hover {
    background-color: #66b27a;
}

form {
    display: flex;
    align-items: center;
}

.form-footer a {
    color: #001AD3;
}

h3 {
    font-size: 28px;
    color: #333;
    font-weight: bold;
}

.mb-4 {
    font-weight: bold;
    font-size: 38px;
    padding-left: 13px;

}

.form-control {
    border-radius: 0px !important;
}

.condition {
    padding-left: 14px !important;
}

.card {
    width: 100%;
    height: 700px !important;

    padding: 40px;
    text-align: center;
    background-color: white;
    box-shadow: 0px 4px 20px rgba(0, 0, 0, 0.1);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.gif-container img {
    width: 200px;
    height: 200px;
    margin-bottom: 20px;
}

#main-content {
    min-height: calc(100vh - 56px - 5px);
    /* 56px is the height of the navbar and footer */
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding: 50px 0;
    background-color: #F4F4F4;
}

.contact-section {
    background-color: #2d2d2d;
    /* Fond noir */
    color: #fff;
    /* Texte blanc */
    padding: 60px 0;
    font-family: "Plus Jakarta Sans", sans-serif;
}

.contact-section h1 {
    font-size: 2.5rem;
    font-weight: bold;
    margin-bottom: 20px;
    font-family: "Plus Jakarta Sans", sans-serif;
}

.contact-section p {
    font-size: 1rem;
    line-height: 1.5;
}

.form-contact-container {

    margin-left: 80px;

}

.form-control {
    border: 1px solid #555;

    margin-bottom: 15px;
    padding: 10px;
    background-color: #fff;
    /* Fond des champs de saisie */
    color: #000;
    /* Texte noir des champs de saisie */
}

.btn-primary {
    background-color: #001AD3;
    /* Couleur du bouton */
    border: none;
    padding: 10px 20px;

    width: 100%;
    /* Le bouton prend toute la largeur */
}

.btn-primary:hover {
    background-color: #66b27a;
}

.footer {
    padding: 20px 0;
    background-color: #222;
    color: #ccc;
    text-align: center;
}

.text-container h1 {
    font-weight: bold;
    color: #333;
    font-size: 2.5rem;
    margin: 80px 0;
}

.text-container h3 {
    color: #001AD3;
    margin-top: 50px;
    margin-bottom: 20px;
}

.text-container p {
    font-size: 18px;
}

@media (max-width: 768px) {
    .contact-section .row {
        flex-direction: column;
        /* Colonne pour petit écran */
        align-items: center;
    }

    .contact-section .form {}

    .col-sm-6 {
        width: 100% !important;
    }


    .form-container {
        margin-top: 20px;
    }

    .contact-section h1 {
        font-size: 1.5rem;
    }

    .contact-section p {
        font-size: 0.875rem;
    }

    .form-contact-container {
        margin-left: 0px;
    }
}

@media (max-width: 576px) {
    .form-control {
        font-size: 0.875rem;
        padding: 8px;
    }

    .btn-primary {
        font-size: 0.875rem;
        padding: 8px 16px;
    }
}

.contact-text,
.contact-form {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.contact-text {
    padding-right: 20px;
    /* Ajoute de l'espace entre le texte et le formulaire */
}

.contact-form {
    padding-left: 20px;
    /* Ajoute de l'espace entre le formulaire et le texte */
}

@media (max-width: 768px) {

    .contact-text,
    .contact-form {
        text-align: center;
        padding: 0;
    }

    .contact-form {
        margin-top: 20px;
    }
}





@media (max-width: 768px) {
    .form-container {
        padding: 20px;
    }

    h3 {
        font-size: 24px;
        text-align: center;
    }

    input.inscription-input {
        height: 40px;
        font-size: 14px;
    }

    button.envoyer-boutton {
        font-size: 16px;

    }

    .form-footer {
        text-align: center;
    }

    .titre-inscription-container {
        display: flex;
        justify-content: center;
    }
}


@media (max-width: 1355px) {
    .inner-container {
        flex-direction: column;
        align-items: center;
    }

    .header-text {
        flex: 0 0 100%;
        max-width: 100%;
        text-align: center;
        margin-left: 0;
    }

    .header-text h1 {
        font-size: 2.5rem;
    }

    .image-container {
        flex: 0 0 100%;
        max-width: 50%;
        margin-right: 0;
        text-align: center;
    }

    .image-container img {
        margin-top: 100px;
    }

    .toggle-switches {
        position: relative;
        top: -506px;
        left: -262px;
        width: 50%;
        margin: auto;
    }
}



@media (max-width: 992px) {
    .inner-container {
        flex-direction: column;
        align-items: center;
    }

    .header-text {
        flex: 0 0 100%;
        max-width: 100%;
        text-align: center;
        margin-left: 0;
        padding-top: 0;
        /* Supprimer le padding top pour aligner avec la navigation */
    }

    .header-text h1 {
        font-size: 2rem;
        /* Réduire la taille de la police pour les écrans plus petits */
    }

    .subtitle {
        font-size: 1.2rem;
        /* Réduire la taille de la police pour la sous-titre */
    }

    .image-container {
        flex: 0 0 100%;
        max-width: 100%;
        margin-right: 0;
        text-align: center;
        padding-top: 20px;
        /* Ajouter un espace entre le texte et l'image */
    }

    .toggle-switches {
        position: relative;
        top: 20px;
        left: 0;
        width: 90%;
        margin: auto;
        padding: 15px;
        /* Ajuster le padding pour les écrans plus petits */
    }

    .navbar-collapse.collapse.show {



        padding: 15px;
        /* Espacement intérieur */
    }

    .navbar-nav {
        padding: 10px 0;
        /* Espacement vertical entre les éléments */
        width: 100%;
    }

    .nav-item {
        margin: 5px 0;
        /* Espacement entre les éléments */
    }

    .nav-link {
        background-color: #001AD3;
        /* Couleur de fond des liens */
        color: white !important;
        /* Couleur du texte */
        padding: 10px 15px !important;
        text-align: center;
        /* Centrer le texte */
        width: 100px;
        transition: background-color 0.3s;
        /* Transition pour effet au survol */
        border-radius: 0px !important;
    }

    .nav-link:hover {
        background-color: #66b27a;
        /* Couleur au survol */
        color: white !important;
    }
}



@media (max-width: 768px) {

    .order-md-1,
    .order-md-2 {
        order: initial;
        /* Réinitialise l'ordre pour les petits écrans */
    }

}

@media (max-width: 576px) {
    .form-container {
        width: 100%;
        padding: 10px;
    }

    .row {
        flex-direction: column;
    }

    h3 {
        text-align: center;
        font-size: 1.5rem;
        /* Réduire la taille de la police pour le titre */
        width: 100%;
    }

    .envoyer-boutton-container {
        display: flex;
        justify-content: center;
        width: 100%;
    }

    .envoyer-boutton {
        font-size: 1rem;
        /* Réduire la taille de la police pour le bouton */
        padding: 8px 16px;
        /* Ajuster le padding pour le bouton */
    }



    .condition {
        text-align: center;
        font-size: 0.8rem;
        /* Réduire la taille de la police pour le texte des conditions */
    }
}

/* Media query pour les écrans entre 768px et 576px */
@media (max-width: 768px) {
    .form-container {
        padding: 15px;
    }

    h3 {
        font-size: 20px;
        /* Réduire la taille de la police */
        text-align: center;
        margin-bottom: 15px;
        /* Ajuster la marge inférieure */
    }

    .inscription-input {
        height: 35px;
        /* Réduire la hauteur des champs */
        font-size: 12px;
        /* Réduire la taille de la police */
        padding: 8px;
        /* Réduire le padding */
    }

    .envoyer-boutton-container {
        display: flex;
        justify-content: center;
        width: 100%;
    }

    .envoyer-boutton {
        font-size: 14px;
        /* Réduire la taille de la police pour le bouton */
        padding: 8px 16px;
        /* Ajuster le padding pour le bouton */
        margin: 0 auto;
        /* Centrer le bouton */
    }

    .form-footer {
        text-align: center;
    }

    .titre-inscription-container {
        display: flex;
        justify-content: center;
    }


    .col-12 {
        text-align: center;
    }

    form#form_registration .col-12.col-md-6 {
        width: 100% !important;
    }
}


@media (max-width: 769px) {
    .form-contact-container form {
        display: block !important;
    }

    ;



}